<template>
    <view class="c-nav-bar">
        <AtNavBar
            title="快速下单"
            leftIconType="chevron-left"
            :onClickLeftIcon="evt=>goBack()"
        />
        <view
            class="c-nav-bar-right"
            v-if="rightNav"
            @tap="evt=>goNav()"
        >
            <view v-html="rightNav"></view>
        </view>
    </view>
</template>

<script>
import { AtNavBar } from 'taro-ui-vue';
import './cNavBar.scss';

export default {
    name: 'CNavBar',
    components: {
        AtNavBar,
    },
    props: {
        rightNav: String,
        onClickRigthNav: Function,
    },
    methods: {
        goBack() {
            window.history.go(-1);
        },
        goNav() {
            this.onClickRigthNav && this.onClickRigthNav();
        },
    },
};
</script>